org.eclipse.emf.cdo.common.commit

## Interface CDOCommitInfoHandler

- All Known Subinterfaces:
    CDOCommitHistory, CDOObjectHistory, CDOReplicationContext, InternalFailoverParticipant, InternalSynchronizableRepository
  All Known Implementing Classes:
    AsyncCommitInfoHandler, BinaryCommitInfoLog, TextCommitInfoLog

      public interface CDOCommitInfoHandler

  A call-back interface that indicates the ability to handle `commit infos` that are passed from other entities.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleCommitInfo(CDOCommitInfo commitInfo)`

- - ### Method Detail

    - #### handleCommitInfo

          void handleCommitInfo(CDOCommitInfo commitInfo)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html